org.apache.trevni

## Class TrevniRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.trevni.TrevniRuntimeException

- All Implemented Interfaces:
    Serializable

      public class TrevniRuntimeException
      extends RuntimeException

  Base runtime exception thrown by Trevni.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrevniRuntimeException(String message)`
    `TrevniRuntimeException(String message, Throwable cause)`
    `TrevniRuntimeException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrevniRuntimeException

          public TrevniRuntimeException(Throwable cause)

    - #### TrevniRuntimeException

          public TrevniRuntimeException(String message)

    - #### TrevniRuntimeException

          public TrevniRuntimeException(String message,
                                        Throwable cause)

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.